org.apache.solr.common.cloud.rule

## Class Snitch

- java.lang.Object
- - org.apache.solr.common.cloud.rule.Snitch

Direct Known Subclasses:
  ImplicitSnitch

    public abstract class Snitch
    extends Object

### Field Summary

Fields
`static Set<Class>` `WELL_KNOWN_SNITCHES`

### Constructor Summary

Constructors
Constructor and Description
`Snitch()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `getTags(String solrNode, Set<String> requestedTags, SnitchContext ctx)`
`abstract boolean` `isKnownTag(String tag)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### WELL_KNOWN_SNITCHES

    public static final Set<Class> WELL_KNOWN_SNITCHES

### Constructor Detail

#### Snitch

    public Snitch()

### Method Detail

#### getTags

    public abstract void getTags(String solrNode,
                                 Set<String> requestedTags,
                                 SnitchContext ctx)

#### isKnownTag

    public abstract boolean isKnownTag(String tag)